# 数据源配置
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.highgo.jdbc.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:highgo://39.98.44.136:6022/highgo?useUnicode=true&characterEncoding=utf8&currentSchema=shz&stringtype=unspecified
                #username: syssso
                username: sysdba
                password: SHZ2025@comzkr2

            # 从库数据源
            slave:
                # 从数据源开关/默认关闭
                enabled: false
                url:
                username:
                password:
            # 初始连接数
            initialSize: 10
            # 最小连接池数量
            minIdle: 30
            # 最大连接池数量
            maxActive: 50
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置连接超时时间
            connectTimeout: 30000
            # 配置网络超时时间
            socketTimeout: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT version()
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter:
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username: ruoyi
                login-password: 123456
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
    redis:
        # 地址
        host: 39.98.44.136
        # 端口，默认为6379
        port: 6018
        # 数据库索引
        database: 0
        # 密码
        password: SHZ2025@@.com
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms

# easy-es
easy-es:
    enable: true
    banner: false
    address: 39.98.44.136:6023
    global-config:
        process-index-mode: manual
        db-config:
            refresh-policy: immediate
    username: elastic
    password: shz2025@@.com

#ai
chat:
    baseUrl: http://39.98.44.136:8082
    chatUrl: /v1/chat/completions
    chatDetailUrl: /core/chat/getPaginationRecords
    chatHistoryUrl: /core/chat/getHistories
    updateNameUrl: /core/chat/updateHistory
    stickChatUrl: /core/chat/updateHistory
    delChatUrl: /core/chat/delHistory
    delAllChatUrl: /core/chat/clearHistories
    guestUrl: /v1/chat/completions
    praiseUrl: /core/chat/feedback/updateUserFeedback
    appId: 67cd49095e947ae0ca7fadd8
    apiKey: fastgpt-qMl63276wPZvKAxEkW77bur0sSJpmuC6Ngg9lzyEjufLhsBAurjT55j
    model: qd-job-turbo

audioText:
    asr: http://39.98.44.136:8001/asr/file
    tts: http://39.98.44.136:19527/synthesize